package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class APIDemandOpenSearchModel extends BaseExample {

    private String rqrmntName ;

    private Integer flag=0;//排序标识

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date requirementDateFrom ;

    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date requirementDateTo ;

    private String platformType ;

    private String rqrmntState ;

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public Date getRequirementDateFrom() {
        return requirementDateFrom;
    }

    public void setRequirementDateFrom(Date requirementDateFrom) {
        this.requirementDateFrom = requirementDateFrom;
    }

    public Date getRequirementDateTo() {
        return requirementDateTo;
    }

    public void setRequirementDateTo(Date requirementDateTo) {
        this.requirementDateTo = requirementDateTo;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getRqrmntState() {
        return rqrmntState;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState;
    }
}
